Loading...
Searching...
No Matches
Magick::ColorHSL Class Reference
Inheritance diagram for Magick::ColorHSL:

## Public Member Functions

| ColorHSL (const Color &color_)
| ColorHSL (const double hue_, const double saturation_, const double lightness_)
ColorHSL & | operator= (const Color &color_)
void | hue (const double hue_)
double | hue (void) const
void | lightness (const double lightness_)
double | lightness (void) const
void | saturation (const double saturation_)
double | saturation (void) const
Public Member Functions inherited from Magick::Color
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorHSL (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel , CMYKAPixel , RGBPixel , RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 279 of file Color.h.

## Constructor & Destructor Documentation

## ColorHSL() [1/3]

Magick::ColorHSL::ColorHSL | ( | void |  | ) |

Definition at line 597 of file Color.cpp.

: Color(RGBPixel)
{
}

## ColorHSL() [2/3]

Magick::ColorHSL::ColorHSL | ( | const Color & | color_ | ) |

Definition at line 602 of file Color.cpp.

: Color(color_)
{
}

## ColorHSL() [3/3]

Magick::ColorHSL::ColorHSL | ( | const double | hue_,
|  | const double | saturation_,
|  | const double | lightness_ )

Definition at line 607 of file Color.cpp.

: Color(RGBPixel)
{
double
blue,
green,
red;
ConvertHSLToRGB(hue_,saturation_,lightness_,&red,&green,&blue);
quantumRed((Magick::Quantum) red);
quantumGreen((Magick::Quantum) green);
quantumBlue((Magick::Quantum) blue);
}

## ~ColorHSL()

Magick::ColorHSL::~ColorHSL | ( |  | ) |

Definition at line 623 of file Color.cpp.

{
}

## Member Function Documentation

## hue() [1/2]

void Magick::ColorHSL::hue | ( | const double | hue_ | ) |

Definition at line 633 of file Color.cpp.

{
double
hue,
lightness,
saturation;
double
blue,
green,
red;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
hue=hue_;
ConvertHSLToRGB(hue,saturation,lightness,&red,&green,&blue);
quantumRed(ClampToQuantum(red));
quantumGreen(ClampToQuantum(green));
quantumBlue(ClampToQuantum(blue));
}

## hue() [2/2]

double Magick::ColorHSL::hue | ( | void |  | ) | const

Definition at line 657 of file Color.cpp.

{
double
hue,
lightness,
saturation;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
return(hue);
}

## lightness() [1/2]

void Magick::ColorHSL::lightness | ( | const double | lightness_ | ) |

Definition at line 670 of file Color.cpp.

{
double
hue,
lightness,
saturation;
double
blue,
green,
red;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
lightness=lightness_;
ConvertHSLToRGB(hue,saturation,lightness,&red,&green,&blue);
quantumRed(ClampToQuantum(red));
quantumGreen(ClampToQuantum(green));
quantumBlue(ClampToQuantum(blue));
}

## lightness() [2/2]

double Magick::ColorHSL::lightness | ( | void |  | ) | const

Definition at line 694 of file Color.cpp.

{
double
hue,
lightness,
saturation;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
return(lightness);
}

## operator=()

Magick::ColorHSL & Magick::ColorHSL::operator= | ( | const Color & | color_ | ) |

Definition at line 627 of file Color.cpp.

{
*static_cast<Magick::Color*>(this) = color_;
return(*this);
}

## saturation() [1/2]

void Magick::ColorHSL::saturation | ( | const double | saturation_ | ) |

Definition at line 707 of file Color.cpp.

{
double
hue,
lightness,
saturation;
double
blue,
green,
red;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
saturation=saturation_;
ConvertHSLToRGB(hue,saturation,lightness,&red,&green,&blue);
quantumRed(ClampToQuantum(red));
quantumGreen(ClampToQuantum(green));
quantumBlue(ClampToQuantum(blue));
}

## saturation() [2/2]

double Magick::ColorHSL::saturation | ( | void |  | ) | const

Definition at line 731 of file Color.cpp.

{
double
hue,
lightness,
saturation;
ConvertRGBToHSL(quantumRed(),quantumGreen(),quantumBlue(),&hue,&saturation,
&lightness);
return(saturation);
}

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp